summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorOle Markus With <olemarkus@gentoo.org>2012-01-12 11:10:47 +0000
committerOle Markus With <olemarkus@gentoo.org>2012-01-12 11:10:47 +0000
commit2459dcc93bf2e9baad8507ec5c1de731f0ed722e (patch)
tree09e0ba01fd8a44d30b312fbc24effc01de31677c /eclass
parentVersion Bump (diff)
downloadgentoo-2-2459dcc93bf2e9baad8507ec5c1de731f0ed722e.tar.gz
gentoo-2-2459dcc93bf2e9baad8507ec5c1de731f0ed722e.tar.bz2
gentoo-2-2459dcc93bf2e9baad8507ec5c1de731f0ed722e.zip
Fixed a dependency issue where php would be pulled in for e.g ming even without php USE flag being set (bug 398649)
Diffstat (limited to 'eclass')
-rw-r--r--eclass/php-ext-source-r2.eclass8
1 files changed, 6 insertions, 2 deletions
diff --git a/eclass/php-ext-source-r2.eclass b/eclass/php-ext-source-r2.eclass
index 4d1778d63a67..eba1e97511c4 100644
--- a/eclass/php-ext-source-r2.eclass
+++ b/eclass/php-ext-source-r2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.19 2012/01/11 18:30:36 olemarkus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.20 2012/01/12 11:10:47 olemarkus Exp $
# @ECLASS: php-ext-source-r2.eclass
# @MAINTAINER:
@@ -86,7 +86,11 @@ RDEPEND="${RDEPEND}
${PHP_EXT_OPTIONAL_USE:+ )}"
DEPEND="${DEPEND}
-${PHPDEPEND}"
+ ${PHP_EXT_OPTIONAL_USE}${PHP_EXT_OPTIONAL_USE:+? ( }
+ || ( ${SELFDEPEND} )
+ ${PHPDEPEND}
+ ${PHP_EXT_OPTIONAL_USE:+ )}
+"
# @FUNCTION: php-ext-source-r2_src_unpack
# @DESCRIPTION: